Subject: [Stox] AD evaluation: draft-ietf-stox-chat-08

From: Alissa Cooper <[email-masked]>
Date: Sat, 31 Jan 2015 16:09:28 -0800

I have reviewed this draft in preparation for IETF LC. Overall the document appears in good shape. I have a couple of comments/questions regarding normative requirements that I’d like to discuss before issuing the LC. I’ve also included some editorial nits that should be addressed together with any LC comments.

Comments/questions:

= Sections 4 and 5 =
Same comment as on the -im document: To achieve minimal interoperability, I think the syntax mappings in these sections need to be MUST-level requirements rather than SHOULD. Or, if there are cases envisioned in which different implementations might map the elements differently, those should be explained. But I assume there are not.

= Section 7 =
Is all of the delivery report behavior meant to be entirely optional to support, or should there be some normative requirements listed in this section?

Editorial nits:

= General =
If GRUUs are generally not human-readable in use, I would suggest changing them to random identifiers throughout the examples in this document.

= Section 4 =
"The XMPP-to-SIP gateway at the XMPP server would then initiate an
   MSRP session with Romeo on Juliet's behalf (since there is no
   reliable way for the gateway to determine if Romeo's client supports
   MSRP, it simply needs to guess).”

“Guessing” makes it sound like the gateway might use heuristics or some such to determine whether to initiate an MSRP session, and that in some cases it might not initiate a session. Would it be more accurate to say that MSRP session initiation may yield an error since there is no reliable way for the gateway to determine if Romeo's client supports MSRP?

= Section 6.1 =
s/can server/can serve/